upstream backend {
	server backend:3000;
}

upstream frontend {
	server frontend:8080;
}

server {
	listen 80;
	server_name localhost;

	location / {
		proxy_pass http://frontend$request_uri;
	}

	location /api/ {
		proxy_pass http://backend/;
	}
}
